# Global

##

### Methods

#### loadGMap(apiUrl [, callbackFunctionName])

  Google Map loader

  ##### Parameters:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `apiUrl` | String |  |  |
  `callbackFunctionName` | String | <optional> | initworldMap |

  ##### Returns:

  - a promise resolved when the API is loaded
  Type
    Promise

  ##### Example

      loadGMap( urlAPI ).then(
           googleAPI =>
           {
               new googleAPI.maps.Map( $container, googleMapOptions );
           }
       );

#### quickTemplate(template, data)

  Simple template function based on string substitution

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `template` | String |
  `data` | Object |

  ##### Returns:

  Type
    String

  ##### Example

      let HTML = quickTemplate( 'My name is { lastname }. { firstname} { lastname }.', { "firstname": "James", "lastname": "Bond" } );

#### template(text, data [, settings])

  Micro templating from Underscore

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `text` | String |  |
  `data` | Object |  |

  `settings`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `evaluate` | RegExp | <optional> | /<%([\s\S]+?)%>/g |
  `interpolate` | RegExp | <optional> | /<%=([\s\S]+?)%>/g |
  `escape` | RegExp | <optional> | /<%-([\s\S]+?)%>/g |

  See:
    - extra/modules/template.md

  ##### Example

      let tplFunction = template( html );
      let html = tplFunction( { "text": "hey!!" } );

      // or

      let html = template( html, { "text": "hey!!" } );

#### Search results